gtkmm: Gtk::Viewport Class Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions

# Gtk::Viewport Class Reference
Widgets | Container Widgets

An adapter which makes widgets scrollable. More...

Inheritance diagram for Gtk::Viewport:
[legend]
Collaboration diagram for Gtk::Viewport:
[legend]

List of all members.

## Public Member Functions
virtual | ~Viewport ()
GtkViewport* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkViewport* | gobj () const
| Provides access to the underlying C GtkObject.
| Viewport (Adjustment& hadjustment, Adjustment& vadjustment)
Gtk::Adjustment* | get_hadjustment ()
| Returns the horizontal adjustment of the viewport.
const Gtk::Adjustment* | get_hadjustment () const
| Returns the horizontal adjustment of the viewport.
Gtk::Adjustment* | get_vadjustment ()
| Returns the vertical adjustment of the viewport.
const Gtk::Adjustment* | get_vadjustment () const
| Returns the vertical adjustment of the viewport.
void | set_hadjustment (Gtk::Adjustment* adjustment=0)
| Sets the horizontal adjustment of the viewport.
void | set_hadjustment (Gtk::Adjustment& adjustment)
| Sets the horizontal adjustment of the viewport.
void | set_vadjustment (Gtk::Adjustment* adjustment=0)
| Sets the vertical adjustment of the viewport.
void | set_vadjustment (Gtk::Adjustment& adjustment)
| Sets the vertical adjustment of the viewport.
void | set_shadow_type (ShadowType type)
| Sets the shadow type of the viewport.
ShadowType | get_shadow_type () const
| Gets the shadow type of the Gtk::Viewport.
Glib::RefPtr< Gdk::Window > | get_bin_window ()
| Gets the bin window of the Gtk::Viewport.
Glib::RefPtr< const Gdk::Window > | get_bin_window () const
| Gets the bin window of the Gtk::Viewport.
Glib::RefPtr< Gdk::Window > | get_view_window ()
| Gets the view window of the Gtk::Viewport.
Glib::RefPtr< const Gdk::Window > | get_view_window () const
| Gets the view window of the Gtk::Viewport.
Glib::SignalProxy2< void, Gtk::Adjustment *, Gtk::Adjustment* > | signal_set_scroll_adjustments ()
Glib::PropertyProxy < Gtk::Adjustment* > | property_hadjustment ()
| The GtkAdjustment that determines the values of the horizontal position for this viewport.
Glib::PropertyProxy_ReadOnly < Gtk::Adjustment* > | property_hadjustment () const
| The GtkAdjustment that determines the values of the horizontal position for this viewport.
Glib::PropertyProxy < Gtk::Adjustment* > | property_vadjustment ()
| The GtkAdjustment that determines the values of the vertical position for this viewport.
Glib::PropertyProxy_ReadOnly < Gtk::Adjustment* > | property_vadjustment () const
| The GtkAdjustment that determines the values of the vertical position for this viewport.
Glib::PropertyProxy< ShadowType > | property_shadow_type ()
| Determines how the shadowed box around the viewport is drawn.
Glib::PropertyProxy_ReadOnly < ShadowType > | property_shadow_type () const
| Determines how the shadowed box around the viewport is drawn.
## Protected Member Functions
virtual void | on_set_scroll_adjustments (Gtk::Adjustment* hadjustment, Gtk::Adjustment* vadjustment)
## Related Functions
(Note that these are not member functions.)
Gtk::Viewport* | wrap (GtkViewport* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

An adapter which makes widgets scrollable.

## Constructor & Destructor Documentation

virtual Gtk::Viewport::~Viewport | ( |  | ) | `[virtual]`

Gtk::Viewport::Viewport | ( | Adjustment& | hadjustment,
|  | Adjustment& | vadjustment
| ) |  | `[explicit]`

## Member Function Documentation

Glib::RefPtr<Gdk::Window> Gtk::Viewport::get_bin_window | ( |  | ) |

Gets the bin window of the Gtk::Viewport.

Since gtkmm 2.20:

Returns:
  A Gdk::Window.

Glib::RefPtr<const Gdk::Window> Gtk::Viewport::get_bin_window | ( |  | ) | const

Gets the bin window of the Gtk::Viewport.

Since gtkmm 2.20:

Returns:
  A Gdk::Window.

const Gtk::Adjustment* Gtk::Viewport::get_hadjustment | ( |  | ) | const

Returns the horizontal adjustment of the viewport.

Returns:
  The horizontal adjustment of viewport.

Gtk::Adjustment* Gtk::Viewport::get_hadjustment | ( |  | ) |

Returns the horizontal adjustment of the viewport.

Returns:
  The horizontal adjustment of viewport.

ShadowType Gtk::Viewport::get_shadow_type | ( |  | ) | const

Gets the shadow type of the Gtk::Viewport.

See set_shadow_type().

Returns:
  The shadow type.

Gtk::Adjustment* Gtk::Viewport::get_vadjustment | ( |  | ) |

Returns the vertical adjustment of the viewport.

Returns:
  The vertical adjustment of viewport.

const Gtk::Adjustment* Gtk::Viewport::get_vadjustment | ( |  | ) | const

Returns the vertical adjustment of the viewport.

Returns:
  The vertical adjustment of viewport.

Glib::RefPtr<Gdk::Window> Gtk::Viewport::get_view_window | ( |  | ) |

Gets the view window of the Gtk::Viewport.

Since gtkmm 2.22:

Returns:
  A Gdk::Window.

Glib::RefPtr<const Gdk::Window> Gtk::Viewport::get_view_window | ( |  | ) | const

Gets the view window of the Gtk::Viewport.

Since gtkmm 2.22:

Returns:
  A Gdk::Window.

const GtkViewport* Gtk::Viewport::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Bin.

GtkViewport* Gtk::Viewport::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Bin.

virtual void Gtk::Viewport::on_set_scroll_adjustments | ( | Gtk::Adjustment* | hadjustment,
|  | Gtk::Adjustment* | vadjustment
| ) |  | `[protected, virtual]`

Glib::PropertyProxy<Gtk::Adjustment*> Gtk::Viewport::property_hadjustment | ( |  | ) |

The GtkAdjustment that determines the values of the horizontal position for this viewport.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gtk::Adjustment*> Gtk::Viewport::property_hadjustment | ( |  | ) | const

The GtkAdjustment that determines the values of the horizontal position for this viewport.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<ShadowType> Gtk::Viewport::property_shadow_type | ( |  | ) |

Determines how the shadowed box around the viewport is drawn.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<ShadowType> Gtk::Viewport::property_shadow_type | ( |  | ) | const

Determines how the shadowed box around the viewport is drawn.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gtk::Adjustment*> Gtk::Viewport::property_vadjustment | ( |  | ) | const

The GtkAdjustment that determines the values of the vertical position for this viewport.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gtk::Adjustment*> Gtk::Viewport::property_vadjustment | ( |  | ) |

The GtkAdjustment that determines the values of the vertical position for this viewport.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::Viewport::set_hadjustment | ( | Gtk::Adjustment& | adjustment | ) |

Sets the horizontal adjustment of the viewport.

Parameters:

  adjustment | A Gtk::Adjustment.

void Gtk::Viewport::set_hadjustment | ( | Gtk::Adjustment* | adjustment = `0` | ) |

Sets the horizontal adjustment of the viewport.

Parameters:

  adjustment | A Gtk::Adjustment.

void Gtk::Viewport::set_shadow_type | ( | ShadowType | type | ) |

Sets the shadow type of the viewport.

Parameters:

  type | The new shadow type.

void Gtk::Viewport::set_vadjustment | ( | Gtk::Adjustment& | adjustment | ) |

Sets the vertical adjustment of the viewport.

Parameters:

  adjustment | A Gtk::Adjustment.

void Gtk::Viewport::set_vadjustment | ( | Gtk::Adjustment* | adjustment = `0` | ) |

Sets the vertical adjustment of the viewport.

Parameters:

  adjustment | A Gtk::Adjustment.

Glib::SignalProxy2< void,Gtk::Adjustment*,Gtk::Adjustment* > Gtk::Viewport::signal_set_scroll_adjustments | ( |  | ) |

Prototype:
  `void on_my_set_scroll_adjustments(Gtk::Adjustment* hadjustment, Gtk::Adjustment* vadjustment)`

## Friends And Related Function Documentation

Gtk::Viewport* wrap | ( | GtkViewport * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/viewport.h